using Microsoft.AspNet.Identity.EntityFramework;
using System;

namespace Sevomin.Models
{
    public class User : IdentityUser
    {
        public User()
        {

        }
        public User(string userName)
        {
            this.UserName = userName;            
        }
        public string DisplayName { get; set; }
        public DateTime SignUpDate { get; set; }
        public string ConfirmationCode { get; set; }

        public static string GetConfirmationCode()
        {
            return ShortGuid.NewShortGuid().Value;
        }
    }
}
